=== modified file 'drizzled/catalog/instance.h'
--- drizzled/catalog/instance.h	2011-03-14 05:40:28 +0000
+++ drizzled/catalog/instance.h	2011-03-28 14:32:36 +0000
@@ -24,7 +24,6 @@
 #include <boost/make_shared.hpp>
 
 #include <drizzled/message/catalog.h>
-#include <drizzled/identifier/session.h>
 
 namespace drizzled {
 namespace catalog {

=== modified file 'drizzled/identifier.h'
--- drizzled/identifier.h	2011-03-23 15:10:29 +0000
+++ drizzled/identifier.h	2011-03-28 14:32:36 +0000
@@ -43,7 +43,6 @@
 
 #include <drizzled/identifier/catalog.h>
 #include <drizzled/identifier/schema.h>
-#include <drizzled/identifier/session.h>
 #include <drizzled/identifier/table.h>
 #include <drizzled/identifier/user.h>
 

=== modified file 'drizzled/identifier/schema.cc'
--- drizzled/identifier/schema.cc	2011-03-28 02:46:21 +0000
+++ drizzled/identifier/schema.cc	2011-03-28 14:32:36 +0000
@@ -155,7 +155,7 @@
 
 std::ostream& operator<<(std::ostream& output, const Schema&identifier)
 {
-  return output << "identifier::Schema:(" <<  catalog::local_identifier() << ", " <<  identifier.getSchemaName() << ", " << identifier.getPath() << ")";
+  return output << "identifier::Schema:(" <<  drizzled::catalog::local_identifier() << ", " <<  identifier.getSchemaName() << ", " << identifier.getPath() << ")";
 }
 
 } /* namespace identifier */

=== removed file 'drizzled/identifier/session.h'
--- drizzled/identifier/session.h	2011-03-23 16:18:41 +0000
+++ drizzled/identifier/session.h	1970-01-01 00:00:00 +0000
@@ -1,27 +0,0 @@
-/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2010 Brian Aker
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#pragma once
-
-namespace drizzled {
-
-typedef int64_t session_id_t;
-
-} /* namespace drizzled */

=== modified file 'drizzled/include.am'
--- drizzled/include.am	2011-03-27 00:17:27 +0000
+++ drizzled/include.am	2011-03-28 14:32:36 +0000
@@ -230,7 +230,6 @@
 			      drizzled/identifier/constants/schema.h \
 			      drizzled/identifier/constants/table.h \
 			      drizzled/identifier/schema.h \
-			      drizzled/identifier/session.h \
 			      drizzled/identifier/table.h \
 			      drizzled/identifier/user.h \
 			      drizzled/index_hint.h \

=== modified file 'drizzled/kill.h'
--- drizzled/kill.h	2011-03-24 00:03:05 +0000
+++ drizzled/kill.h	2011-03-28 14:32:36 +0000
@@ -20,12 +20,12 @@
 
 #pragma once
 
-#include <drizzled/identifier.h>
+#include <drizzled/common_fwd.h>
 #include <drizzled/visibility.h>
 
 namespace drizzled {
 
-bool kill(const identifier::User& user, session_id_t id_to_kill, bool only_kill_query);
+bool kill(const identifier::User&, session_id_t, bool only_kill_query);
 
 } // namespace drizzled
 

=== modified file 'drizzled/message/catalog.h'
--- drizzled/message/catalog.h	2011-03-14 05:40:28 +0000
+++ drizzled/message/catalog.h	2011-03-28 14:32:36 +0000
@@ -21,14 +21,11 @@
 #pragma once
 
 #include <boost/shared_ptr.hpp>
+#include <drizzled/common_fwd.h>
 #include <drizzled/message/catalog.pb.h>
 
 namespace drizzled {
 
-namespace identifier {
-class Catalog;
-} /* namespace identifier */
-
 namespace message {
 namespace catalog {
 

